> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Dex - 列表

> 取得指定區塊鏈上所有 DEX 的資訊



## OpenAPI

````yaml /zh-Hant/api-reference/openapi-data-zh-Hant.yaml GET /v2/dex
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: 區塊鏈相關操作
  - name: Token
    description: 代幣相關操作
  - name: Trade
    description: 交易相關操作
  - name: Wallet
    description: 錢包相關操作
  - name: Dex
    description: DEX 相關操作
  - name: Ranking
    description: 排行榜相關操作
  - name: DexPool
    description: DEX 池子相關操作
  - name: Watchlist
    description: 關注列表相關操作
  - name: KYT
    description: KYT 相關操作
  - name: Webhook
    description: Webhook 相關操作
  - name: RedPacket
    description: 紅包相關操作
  - name: IPFS
    description: IPFS 相關操作
  - name: DexScreener
    description: DexScreener 相關操作
paths:
  /v2/dex:
    get:
      tags:
        - Dex
      summary: Dex - 列表
      description: 取得指定區塊鏈上所有 DEX 的資訊
      operationId: list.dex
      parameters:
        - name: cursor
          in: query
          description: 分頁游標
          required: false
          schema:
            type: string
          example: eyJpZCI6IjEyMyJ9
        - name: limit
          in: query
          description: 每頁回傳結果數量
          required: false
          schema:
            type: integer
            format: int64
            default: 20
          example: 20
        - name: direction
          in: query
          description: 分頁方向（next 或 prev）
          required: false
          schema:
            oneOf:
              - $ref: '#/components/schemas/PageDirection'
            default: next
          example: next
        - name: chains
          in: query
          description: 按區塊鏈網路篩選
          required: false
          schema:
            type: array
            items:
              type: string
          example: sol
        - name: dexProgram
          in: query
          description: 按 DEX 程式地址篩選
          required: false
          schema:
            type: string
          example: whirLbMiicVdio4qvUfM5KAg6Ct8VwpYzGff3uctyCc
      responses:
        '200':
          description: 成功回應
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageResponse_Dex'
components:
  schemas:
    PageDirection:
      type: string
      description: Pagination direction
      enum:
        - next
        - prev
    PageResponse_Dex:
      type: object
      description: Generic pagination response
      required:
        - data
      properties:
        data:
          type: array
          items:
            type: object
            description: DEX information
            required:
              - chain
            properties:
              chain:
                type: string
                description: Chain identifier
                example: sol
              image:
                type:
                  - string
                  - 'null'
                description: DEX image URL
                example: https://example.com/dex-logo.png
              programAddress:
                type:
                  - string
                  - 'null'
                description: DEX program address
                example: whirLbMiicVdio4qvUfM5KAg6Ct8VwpYzGff3uctyCc
              protocolFamily:
                oneOf:
                  - type: 'null'
                  - $ref: '#/components/schemas/DexProtocolFamily'
                    description: Protocol family name
              protocolName:
                type:
                  - string
                  - 'null'
                description: Protocol display name
          description: Page data
        endCursor:
          type:
            - string
            - 'null'
          description: Cursor for the end of current page
          example: eyJpZCI6ImVuZCJ9
        hasNext:
          type: boolean
          description: Whether there is a next page
          example: false
        hasPrev:
          type: boolean
          description: Whether there is a previous page
          example: false
        startCursor:
          type:
            - string
            - 'null'
          description: Cursor for the start of current page
          example: eyJpZCI6InN0YXJ0In0=
        total:
          type:
            - integer
            - 'null'
          format: int64
          description: >-
            Total number of items matching the query (not just the current
            page).

            When `None`, the caller should treat it as unknown
            (backward-compatible).
          example: 564094
    DexProtocolFamily:
      type: string
      description: DEX protocol family identifier
      enum:
        - Raydium
        - Pumpfun
        - Pumpswap
        - Meteora
        - Moonshot
        - Jupiter
        - Orca
        - OrcaWhirpool
        - OpenBook
        - Phoenix
        - Lifinity
        - MagicEden
        - Tensor
        - Aldrin
        - AldrinAmm
        - BonkFun
        - BoopFun
        - CremaFinance
        - Cropper
        - Cykura
        - Dradex
        - Fluxbeam
        - GooseFx
        - Invariant
        - Intro
        - Metaplex
        - OasisProgram
        - Obric
        - PancakeClmm
        - Penguin
        - Saber
        - Saros
        - Sencha
        - Sentre
        - Serum
        - Solana
        - SolFi
        - Stabble
        - StepFinance
        - StepN
        - Symmetry
        - ZeroFi
        - Unknown
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````